python-tests:
  stage: test
  coverage: '/TOTAL\s+\d+\s+\d+\s+(\d+%)/'
  services:
    - postgres:15
    - memcached:1.5.22
  image: python:3.11
  before_script:
    - uv pip install --requirement requirements/ci.txt
  script:
    - coverage run ./src/manage.py test newsreader

javascript-tests:
  stage: test
  image: node:lts
  before_script:
    - npm install
  script:
    - npm test
